Bug 417581 - [RFE] Iptables to include the 'nth' module
[RFE] Iptables to include the 'nth' module
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iptables (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: iptables-maint-list
: FutureFeature, Triaged
Depends On:
Blocks: 417591
  Show dependency treegraph
 
Reported: 2007-12-09 19:31 EST by Norm Murray
Modified: 2010-10-22 17:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 12:03:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2007-12-09 19:31:10 EST
The nth module is not compiled 

iptables v1.2.11: Couldn't load match `nth':/lib64/iptables/libipt_nth.so:
cannot open shared object file: No such file or directory 

The client would like the have the "nth" module as detailed in the iptables man
page to be included with our kernel.  This module matches every 'n'th packet
against the specified rule.

2. Business Justification

The client is attempting to migrate a load balanced cluster onto his Z series
machine.  As cluster suite is not currently available/supported on Z series he
is having to use Round Robin DNS to load balance across their hipervisor to
several z/VM guests.  They feel they would have better reliability/performance
using the 'nth' module approach.


3. Proposed Target Releases

As the migration is still in a planning/testing phase, the desired release is
for RHEL4/5.


4. Architectures Required

This client only needs zSeries.


5. Technical Status

There appears to be a patch avaiable via Patch-O-Matic:
http://www.fifi.org/doc/iptables-dev/html/netfilter-extensions-HOWTO-3.html#ss3.7


6. Testing and Verification

Code is upstream so I assume rudimentary troubleshooting has been undertaken
already.

Note You need to log in before you can comment on or make changes to this bug.